package no.uio.inf5750.example.action;

import java.util.ArrayList;
import java.util.List;

import no.uio.inf5750.example.api.NumberProvider;

import com.opensymphony.xwork.Action;

/**
 * @author Torgeir Lorange Ostby
 * @version $Id: IndexAction.java 123 2007-10-19 21:14:33Z torgeilo $
 */
public class IndexAction
    implements Action
{
    // -------------------------------------------------------------------------
    // Dependencies
    // -------------------------------------------------------------------------

    private NumberProvider numberProvider;

    public void setNumberProvider( NumberProvider numberProvider )
    {
        this.numberProvider = numberProvider;
    }

    // -------------------------------------------------------------------------
    // Output
    // -------------------------------------------------------------------------

    private List<Integer> numbers = new ArrayList<Integer>();

    public List<Integer> getNumbers()
    {
        return numbers;
    }

    // -------------------------------------------------------------------------
    // Action implementation
    // -------------------------------------------------------------------------

    public String execute()
        throws Exception
    {
        for ( int i = 0; i < 10; ++i )
        {
            numbers.add( numberProvider.getNumber() );
        }

        return SUCCESS;
    }
}
